# typescript_node_module_example

This is a library for test install and import from a [total different project](https://github.com/pablorsk/typescript-import-es6-module).

If you import this library to your project you can do:

- import a particular module
- extend classes
- use interfaces on your project

This library is published on [NPM packages](https://www.npmjs.com/package/typescript_module_example).

## Testing library

```javascript

// packagetest.ts file
import * as animal_module from 'animal_module';

class Snake extends animal_module.Animal {

    constructor(name: string) { super(name); }

    move(distanceInMeters: number = 5) {
        console.log('Slithering...');
        super.move(distanceInMeters);
    }
}

let sam = new Snake('Sammy the Python');
sam.move();
```

### Expected result

```bash
$ node packagetest.js
Slithering...
Sammy the Python moved 5m.
Galloping...
Tommy the Palomino moved 34m.
```

## Publishing package

```bash
npm publish
```
